from setuptools import find_packages, setup

setup(
    name='voicebot-accounts',
    version='0.2',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "django == 4.2.2",
        "djangorestframework == 3.14.0",
        "djangorestframework-simplejwt == 5.2.2",
        "whitenoise == 6.5.0",
        "markdown == 3.4.3",
        "django-filter == 23.2",
        "drf-yasg == 1.21.6",
        "coreapi == 2.3.3",
        "psycopg2-binary",
        "google-api-core==2.19.0",
        "google-api-python-client==2.128.0",
        "google-auth==2.29.0",
        "google-auth-httplib2==0.2.0",
        "google-auth-oauthlib==1.2.0",
        "google-pasta==0.2.0",
        "googleapis-common-protos==1.63.0",
        "django-extensions",
        "django-cors-headers",
    ],
    license='MIT',
    description='A reusable Django accounts app.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/bimals-crest/django-accounts',  # Replace with your GitHub URL
    author='Bimal Singh',
    author_email='bimal.s@crestinfosystems.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Framework :: Django :: 3.0',
        'Framework :: Django :: 3.1',
        'Framework :: Django :: 3.2',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
)
